Bug 845319

Summary: Review Request: openshift-origin-cartridge-cron-1.4 - Embedded cron support for OpenShift
Product: [Fedora] Fedora Reporter: Troy Dawson <tdawson>
Component: Package ReviewAssignee: Michael Scherer <misc>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: admiller, misc, notting, package-review
Target Milestone: ---Flags: misc: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-17 18:45:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 840037, 844011    
Bug Blocks:    

Description Troy Dawson 2012-08-02 12:20:54 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-cron-1.4.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-cron-1.4-0.9.1-2.fc18.src.rpm

Description: Provides OpenShift cron cartridge support
Fedora Account System Username: tdawson maxamillion

Known Rpmlint Warnings:
/usr/libexec/stickshift/cartridges/embedded/cron-1.4/info/configuration/
Files in this directory are marked non-etc-or-var-file-marked-as-conffile
The current cartridge code is written so that the configuration files need to be in that directory.
Comment 1 Michael Scherer 2012-08-02 16:29:41 EDT
Hi,

- why restart cron in %post ?

- %{cartridgedir}/info/ is unowned, so does 
%{_sysconfdir}/cron.minutely

- %config(noreplace) %{cartridgedir}/info/configuration/ 
while you explain why this is marked as config, ( and that's a perfectly good reason ), could I suggest to try to make a link to /etc instead ( ie, put config in /etc, and a link to this directory ) so someone doing backup of /etc with tar/rsync/anything will not be taken by surprise ( ie discover too late that config is missing ), and this would respect the policy without disrupting too much the code ?

Other than that, this seems good.
Comment 2 Troy Dawson 2012-08-02 16:56:59 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-cron-1.4.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-cron-1.4-0.9.1-3.fc18.src.rpm

- fixed directory ownership
-- %{cartridgedir}
-- %{cartridgedir}/info
-- %{_sysconfdir}/cron.minutely
- cron is restarted to load in the cron changes put in by the rpm
-- not sure why it's restart other than reload
- I will talk to the developers about putting a link in /etc/ pointing to  %{cartridgedir}/info/configuration/  That is a very good idea.
-- The only reason I'm not putting it into this rpm is because I'm not sure where the link should actually go.  /etc/openshift/<cartridge>?? /etc/openshift/cartridge/<cartridge>??  I'll let the developers debate and decide that one.
Comment 3 Michael Scherer 2012-08-02 17:29:13 EDT
- I would place in a subdirectory, to avoid potential naming clash later. But anything is fine.

- and while I am not sure, I looked at another package ( smolt ) that also place something in /etc/cron.d, and it doesn't reload crond. I just tested with :

echo '* * * * * root touch /tmp/tralala' > /etc/cron.d/gunther , and the file appear without me reloading cron on Fedora 17.

Maybe that's different on RHEL 6, I will try later when I find a RHEL server somewhere.
Comment 4 Michael Scherer 2012-08-02 17:38:48 EDT
Just 2 things. 

1), it doesn't install for now
2) cp should use -p ( but that's minor )

Otherwise, will be good once the missing deps are here.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[!]: MUST Package installs properly.
     Note: Installation errors (see attachment)
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.

Installation errors
-------------------
INFO: mock.py version 1.1.23 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.23
INFO: Mock Version: 1.1.23
Start: lock buildroot
INFO: installing package(s): /home/misc/checkout/git/FedoraReview/845319-openshift-origin-cartridge-cron-1.4/results/openshift-origin-cartridge-cron-1.4-0.9.1-3.fc17.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-17-x86_64/root/', 'install', '/home/misc/checkout/git/FedoraReview/845319-openshift-origin-cartridge-cron-1.4/results/openshift-origin-cartridge-cron-1.4-0.9.1-3.fc17.noarch.rpm', '--setopt=tsflags=nocontexts']
Erreur : Paquet : openshift-origin-cartridge-cron-1.4-0.9.1-3.fc17.noarch (/openshift-origin-cartridge-cron-1.4-0.9.1-3.fc17.noarch)
             Requiert : rubygem(openshift-origin-node)
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
Erreur : Paquet : openshift-origin-cartridge-cron-1.4-0.9.1-3.fc17.noarch (/openshift-origin-cartridge-cron-1.4-0.9.1-3.fc17.noarch)
             Requiert : openshift-origin-cartridge-abstract
 Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest

Rpmlint
-------
Checking: openshift-origin-cartridge-cron-1.4-0.9.1-3.fc17.noarch.rpm
          openshift-origin-cartridge-cron-1.4-0.9.1-3.fc17.src.rpm
openshift-origin-cartridge-cron-1.4.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/libexec/stickshift/cartridges/embedded/cron-1.4/info/configuration/limits
openshift-origin-cartridge-cron-1.4.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/libexec/stickshift/cartridges/embedded/cron-1.4/info/configuration/frequencies
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
openshift-origin-cartridge-cron-1.4-0.9.1-3.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/bash  
    /bin/sh  
    config(openshift-origin-cartridge-cron-1.4) = 0.9.1-3.fc17
    cronie  
    crontabs  
    openshift-origin-cartridge-abstract  
    rubygem(openshift-origin-node)  

Provides
--------
openshift-origin-cartridge-cron-1.4-0.9.1-3.fc17.noarch.rpm:
    
    config(openshift-origin-cartridge-cron-1.4) = 0.9.1-3.fc17
    openshift-origin-cartridge-cron-1.4 = 0.9.1-3.fc17

MD5-sum check
-------------
http://mirror.openshift.com/pub/openshift-origin/source/openshift-origin-cartridge-cron-1.4/openshift-origin-cartridge-cron-1.4-0.9.1.tar.gz :
  MD5SUM this package     : 3bc9a407055a2260c25b3180bfffa2f7
  MD5SUM upstream package : 3bc9a407055a2260c25b3180bfffa2f7


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 845319
External plugins:
Comment 5 Troy Dawson 2012-08-02 18:42:35 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-cron-1.4.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-cron-1.4-0.9.1-4.fc18.src.rpm

- Fixed cp (now all cp's have -p)
- Trying to be as fast as I can with the other dependancies.

I would like to add FAS account name maxamillion to this review as I'll be out of town for the next week and don't want to be a blocker.

Fedora Account System Username: maxamillion tdawson
Comment 6 Michael Scherer 2012-08-22 17:54:01 EDT
Deps should be here, so approved
Comment 7 Troy Dawson 2012-08-22 18:07:12 EDT
New Package SCM Request
=======================
Package Name: openshift-origin-cartridge-cron-1.4
Short Description: Provides OpenShift cron cartridge support
Owners: brenton tdawson maxamillion
Branches: f18 f17
InitialCC:
Comment 8 Jon Ciesla 2012-08-23 07:10:54 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-08-23 09:00:50 EDT
openshift-origin-cartridge-cron-1.4-0.9.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openshift-origin-cartridge-cron-1.4-0.9.1-4.fc18
Comment 10 Fedora Update System 2012-08-23 11:39:16 EDT
openshift-origin-cartridge-cron-1.4-0.9.1-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-09-17 18:45:37 EDT
openshift-origin-cartridge-cron-1.4-0.9.1-4.fc18 has been pushed to the Fedora 18 stable repository.